diff --git a/sys/kern/uipc_sockbuf.c b/sys/kern/uipc_sockbuf.c
index 6738603..12a9b07 100644
--- a/sys/kern/uipc_sockbuf.c
+++ b/sys/kern/uipc_sockbuf.c
@@ -29,7 +29,6 @@
  *
  * @(#)uipc_socket2.c	8.1 (Berkeley) 6/10/93
  * $FreeBSD: src/sys/kern/uipc_socket2.c,v 1.55.2.17 2002/08/31 19:04:55 dwmalone Exp $
- * $DragonFly: src/sys/kern/uipc_sockbuf.c,v 1.3 2007/08/09 01:10:04 dillon Exp $
  */
 
 #include "opt_param.h"
@@ -248,7 +247,7 @@ sbappendaddr(struct sockbuf *sb, const struct sockaddr *asa, struct mbuf *m0,
 	}
 	if (asa->sa_len > MLEN)
 		return (0);
-	MGET(m, MB_DONTWAIT, MT_SONAME);
+	MGET(m, M_NOWAIT, MT_SONAME);
 	if (m == NULL)
 		return (0);
 	KKASSERT(m->m_nextpkt == NULL);
@@ -591,7 +590,7 @@ sbcreatecontrol(caddr_t p, int size, int type, int level)
 
 	if (CMSG_SPACE((u_int)size) > MCLBYTES)
 		return (NULL);
-	m = m_getl(CMSG_SPACE((u_int)size), MB_DONTWAIT, MT_CONTROL, 0, NULL);
+	m = m_getl(CMSG_SPACE((u_int)size), M_NOWAIT, MT_CONTROL, 0, NULL);
 	if (m == NULL)
 		return (NULL);
 	m->m_len = CMSG_SPACE(size);
diff --git a/sys/kern/uipc_socket.c b/sys/kern/uipc_socket.c
index 9e33a1a..5c96cce 100644
--- a/sys/kern/uipc_socket.c
+++ b/sys/kern/uipc_socket.c
@@ -913,7 +913,7 @@ restart:
 		    } else do {
 			if (resid > INT_MAX)
 				resid = INT_MAX;
-			m = m_getl((int)resid, MB_WAIT, MT_DATA,
+			m = m_getl((int)resid, M_WAITOK, MT_DATA,
 				   top == NULL ? M_PKTHDR : 0, &mlen);
 			if (top == NULL) {
 				m->m_pkthdr.len = 0;
@@ -1073,7 +1073,7 @@ restart:
 		} else {
 			int nsize;
 
-			top = m_getl(uio->uio_resid + hdrlen, MB_WAIT,
+			top = m_getl(uio->uio_resid + hdrlen, M_WAITOK,
 			    MT_DATA, M_PKTHDR, &nsize);
 			KASSERT(nsize >= uio->uio_resid + hdrlen,
 			    ("sosendudp invalid nsize %d, "
@@ -1208,10 +1208,10 @@ restart:
 			if (resid > INT_MAX)
 				resid = INT_MAX;
 			if (tcp_sosend_jcluster) {
-				m = m_getlj((int)resid, MB_WAIT, MT_DATA,
+				m = m_getlj((int)resid, M_WAITOK, MT_DATA,
 					   top == NULL ? M_PKTHDR : 0, &mlen);
 			} else {
-				m = m_getl((int)resid, MB_WAIT, MT_DATA,
+				m = m_getl((int)resid, M_WAITOK, MT_DATA,
 					   top == NULL ? M_PKTHDR : 0, &mlen);
 			}
 			if (top == NULL) {
@@ -1333,7 +1333,7 @@ soreceive(struct socket *so, struct sockaddr **psa, struct uio *uio,
 	else
 		flags = 0;
 	if (flags & MSG_OOB) {
-		m = m_get(MB_WAIT, MT_DATA);
+		m = m_get(M_WAITOK, MT_DATA);
 		if (m == NULL)
 			return (ENOBUFS);
 		error = so_pru_rcvoob(so, m, flags & MSG_PEEK);
@@ -1569,7 +1569,7 @@ dontblock:
 				moff += len;
 			} else {
 				if (sio) {
-					n = m_copym(m, 0, len, MB_WAIT);
+					n = m_copym(m, 0, len, M_WAITOK);
 					if (n)
 						sbappend(sio, n);
 				}
@@ -1684,7 +1684,7 @@ sorecvtcp(struct socket *so, struct sockaddr **psa, struct uio *uio,
 	else
 		flags = 0;
 	if (flags & MSG_OOB) {
-		m = m_get(MB_WAIT, MT_DATA);
+		m = m_get(M_WAITOK, MT_DATA);
 		if (m == NULL)
 			return (ENOBUFS);
 		error = so_pru_rcvoob(so, m, flags & MSG_PEEK);
@@ -1896,7 +1896,7 @@ dontblock:
 		if (offset) {
 			KKASSERT(m);
 			if (sio) {
-				n = m_copym(m, 0, offset, MB_WAIT);
+				n = m_copym(m, 0, offset, M_WAITOK);
 				if (n)
 					sbappend(sio, n);
 			}
@@ -2460,7 +2460,8 @@ soopt_getm(struct sockopt *sopt, struct mbuf **mp)
 	struct mbuf *m, *m_prev;
 	int sopt_size = sopt->sopt_valsize, msize;
 
-	m = m_getl(sopt_size, sopt->sopt_td ? MB_WAIT : MB_DONTWAIT, MT_DATA,
+	m = m_getl(sopt_size, sopt->sopt_td ? M_WAITOK : M_NOWAIT,
+		   MT_DATA,
 		   0, &msize);
 	if (m == NULL)
 		return (ENOBUFS);
@@ -2470,7 +2471,7 @@ soopt_getm(struct sockopt *sopt, struct mbuf **mp)
 	m_prev = m;
 
 	while (sopt_size > 0) {
-		m = m_getl(sopt_size, sopt->sopt_td ? MB_WAIT : MB_DONTWAIT,
+		m = m_getl(sopt_size, sopt->sopt_td ? M_WAITOK : M_NOWAIT,
 			   MT_DATA, 0, &msize);
 		if (m == NULL) {
 			m_freem(*mp);
diff --git a/sys/kern/uipc_socket2.c b/sys/kern/uipc_socket2.c
index 7ad2c51..ac8e860 100644
--- a/sys/kern/uipc_socket2.c
+++ b/sys/kern/uipc_socket2.c
@@ -29,7 +29,6 @@
  *
  *	@(#)uipc_socket2.c	8.1 (Berkeley) 6/10/93
  * $FreeBSD: src/sys/kern/uipc_socket2.c,v 1.55.2.17 2002/08/31 19:04:55 dwmalone Exp $
- * $DragonFly: src/sys/kern/uipc_socket2.c,v 1.33 2008/09/02 16:17:52 dillon Exp $
  */
 
 #include "opt_param.h"
@@ -561,7 +560,7 @@ sowakeup(struct socket *so, struct signalsockbuf *ssb)
 	if ((so->so_state & SS_ASYNC) && so->so_sigio != NULL)
 		pgsigio(so->so_sigio, SIGIO, 0);
 	if (ssb->ssb_flags & SSB_UPCALL)
-		(*so->so_upcall)(so, so->so_upcallarg, MB_DONTWAIT);
+		(*so->so_upcall)(so, so->so_upcallarg, M_NOWAIT);
 	KNOTE(&kqinfo->ki_note, 0);
 
 	/*
diff --git a/sys/kern/uipc_syscalls.c b/sys/kern/uipc_syscalls.c
index 962859c..5af03c2 100644
--- a/sys/kern/uipc_syscalls.c
+++ b/sys/kern/uipc_syscalls.c
@@ -818,7 +818,7 @@ sys_sendmsg(struct sendmsg_args *uap)
 			error = EINVAL;
 			goto cleanup;
 		}
-		control = m_get(MB_WAIT, MT_CONTROL);
+		control = m_get(M_WAITOK, MT_CONTROL);
 		if (control == NULL) {
 			error = ENOBUFS;
 			goto cleanup;
@@ -1763,7 +1763,7 @@ retry_lookup:
 		/*
 		 * Get an mbuf header and set it up as having external storage.
 		 */
-		MGETHDR(m, MB_WAIT, MT_DATA);
+		MGETHDR(m, M_WAITOK, MT_DATA);
 		if (m == NULL) {
 			error = ENOBUFS;
 			vm_page_wakeup(pg);
diff --git a/sys/kern/uipc_usrreq.c b/sys/kern/uipc_usrreq.c
index c3b9278..3ff4365 100644
--- a/sys/kern/uipc_usrreq.c
+++ b/sys/kern/uipc_usrreq.c
@@ -1502,7 +1502,7 @@ unp_internalize(struct mbuf *control, struct thread *td)
 			error = E2BIG;
 			goto done;
 		}
-		MCLGET(control, MB_WAIT);
+		MCLGET(control, M_WAITOK);
 		if (!(control->m_flags & M_EXT)) {
 			error = ENOBUFS;
 			goto done;
diff --git a/sys/net/bpf.c b/sys/net/bpf.c
index 23d4957..819cfd5 100644
--- a/sys/net/bpf.c
+++ b/sys/net/bpf.c
@@ -212,7 +212,7 @@ bpf_movein(struct uio *uio, int linktype, struct mbuf **mp,
 	if ((unsigned)len > MCLBYTES)
 		return(EIO);
 
-	m = m_getl(len, MB_WAIT, MT_DATA, M_PKTHDR, NULL);
+	m = m_getl(len, M_WAITOK, MT_DATA, M_PKTHDR, NULL);
 	if (m == NULL)
 		return(ENOBUFS);
 	m->m_pkthdr.len = m->m_len = len;
diff --git a/sys/net/bridge/bridgestp.c b/sys/net/bridge/bridgestp.c
index 02eb95b..7235c26 100644
--- a/sys/net/bridge/bridgestp.c
+++ b/sys/net/bridge/bridgestp.c
@@ -253,7 +253,7 @@ bstp_send_config_bpdu(struct bridge_softc *sc, struct bridge_iflist *bif,
 	if ((ifp->if_flags & IFF_RUNNING) == 0)
 		return;
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return;
 
@@ -435,7 +435,7 @@ bstp_transmit_tcn(struct bridge_softc *sc)
 	if ((ifp->if_flags & IFF_RUNNING) == 0)
 		return;
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return;
 
diff --git a/sys/net/bridge/if_bridge.c b/sys/net/bridge/if_bridge.c
index ed314fd..49893a0 100644
--- a/sys/net/bridge/if_bridge.c
+++ b/sys/net/bridge/if_bridge.c
@@ -2219,7 +2219,7 @@ bridge_output(struct ifnet *ifp, struct mbuf *m)
 				used = 1;
 				mc = m;
 			} else {
-				mc = m_copypacket(m, MB_DONTWAIT);
+				mc = m_copypacket(m, M_NOWAIT);
 				if (mc == NULL) {
 					IFNET_STAT_INC(bifp, oerrors, 1);
 					continue;
@@ -2715,7 +2715,7 @@ bridge_input(struct ifnet *ifp, struct mbuf *m)
 		 * for bridge processing; return the original packet for
 		 * local processing.
 		 */
-		mc = m_dup(m, MB_DONTWAIT);
+		mc = m_dup(m, M_NOWAIT);
 		if (mc == NULL)
 			goto out;
 
@@ -2737,7 +2737,7 @@ bridge_input(struct ifnet *ifp, struct mbuf *m)
 		 */
 		KASSERT(bifp->if_bridge == NULL,
 			("loop created in bridge_input"));
-		mc2 = m_dup(m, MB_DONTWAIT);
+		mc2 = m_dup(m, M_NOWAIT);
 #ifdef notyet
 		if (mc2 != NULL) {
 			/* Keep the layer3 header aligned */
@@ -2931,7 +2931,7 @@ bridge_start_bcast(struct bridge_softc *sc, struct mbuf *m)
 			mc = m;
 			used = 1;
 		} else {
-			mc = m_copypacket(m, MB_DONTWAIT);
+			mc = m_copypacket(m, M_NOWAIT);
 			if (mc == NULL) {
 				IFNET_STAT_INC(bifp, oerrors, 1);
 				continue;
@@ -3064,7 +3064,7 @@ bridge_broadcast(struct bridge_softc *sc, struct ifnet *src_if,
 			mc = m;
 			used = 1;
 		} else {
-			mc = m_copypacket(m, MB_DONTWAIT);
+			mc = m_copypacket(m, M_NOWAIT);
 			if (mc == NULL) {
 				IFNET_STAT_INC(sc->sc_ifp, oerrors, 1);
 				continue;
@@ -3129,7 +3129,7 @@ bridge_span(struct bridge_softc *sc, struct mbuf *m)
 		if ((dst_if->if_flags & IFF_RUNNING) == 0)
 			continue;
 
-		mc = m_copypacket(m, MB_DONTWAIT);
+		mc = m_copypacket(m, M_NOWAIT);
 		if (mc == NULL) {
 			IFNET_STAT_INC(sc->sc_ifp, oerrors, 1);
 			continue;
@@ -4033,13 +4033,13 @@ bridge_pfil(struct mbuf **mp, struct ifnet *bifp, struct ifnet *ifp, int dir)
 	 * Finally, put everything back the way it was and return
 	 */
 	if (snap) {
-		M_PREPEND(*mp, sizeof(struct llc), MB_DONTWAIT);
+		M_PREPEND(*mp, sizeof(struct llc), M_NOWAIT);
 		if (*mp == NULL)
 			return (error);
 		bcopy(&llc1, mtod(*mp, caddr_t), sizeof(struct llc));
 	}
 
-	M_PREPEND(*mp, ETHER_HDR_LEN, MB_DONTWAIT);
+	M_PREPEND(*mp, ETHER_HDR_LEN, M_NOWAIT);
 	if (*mp == NULL)
 		return (error);
 	bcopy(&eh2, mtod(*mp, caddr_t), ETHER_HDR_LEN);
@@ -4242,7 +4242,7 @@ bridge_fragment(struct ifnet *ifp, struct mbuf *m, struct ether_header *eh,
 	for (m0 = m; m0; m0 = m0->m_nextpkt) {
 		if (error == 0) {
 			if (snap) {
-				M_PREPEND(m0, sizeof(struct llc), MB_DONTWAIT);
+				M_PREPEND(m0, sizeof(struct llc), M_NOWAIT);
 				if (m0 == NULL) {
 					error = ENOBUFS;
 					continue;
@@ -4250,7 +4250,7 @@ bridge_fragment(struct ifnet *ifp, struct mbuf *m, struct ether_header *eh,
 				bcopy(llc, mtod(m0, caddr_t),
 				    sizeof(struct llc));
 			}
-			M_PREPEND(m0, ETHER_HDR_LEN, MB_DONTWAIT);
+			M_PREPEND(m0, ETHER_HDR_LEN, M_NOWAIT);
 			if (m0 == NULL) {
 				error = ENOBUFS;
 				continue;
diff --git a/sys/net/bsd_comp.c b/sys/net/bsd_comp.c
index 619f9f6..3401da1 100644
--- a/sys/net/bsd_comp.c
+++ b/sys/net/bsd_comp.c
@@ -468,12 +468,12 @@ bsd_compress(void *state, struct mbuf **mret, struct mbuf *mp,
 	*wptr++ = (v);					\
 	if (wptr >= cp_end) {				\
 	    m->m_len = wptr - mtod(m, u_char *);	\
-	    MGET(m->m_next, MB_DONTWAIT, MT_DATA);	\
+	    MGET(m->m_next, M_NOWAIT, MT_DATA);		\
 	    m = m->m_next;				\
 	    if (m) {					\
 		m->m_len = 0;				\
 		if (maxolen - olen > MLEN)		\
-		    MCLGET(m, MB_DONTWAIT);		\
+		    MCLGET(m, M_NOWAIT);		\
 		wptr = mtod(m, u_char *);		\
 		cp_end = wptr + M_TRAILINGSPACE(m);	\
 	    } else					\
@@ -510,12 +510,12 @@ bsd_compress(void *state, struct mbuf **mret, struct mbuf *mp,
 	maxolen = slen;
 
     /* Allocate one mbuf to start with. */
-    MGET(m, MB_DONTWAIT, MT_DATA);
+    MGET(m, M_NOWAIT, MT_DATA);
     *mret = m;
     if (m != NULL) {
 	m->m_len = 0;
 	if (maxolen + db->hdrlen > MLEN)
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	m->m_data += db->hdrlen;
 	wptr = mtod(m, u_char *);
 	cp_end = wptr + M_TRAILINGSPACE(m);
@@ -840,13 +840,13 @@ bsd_decompress(void *state, struct mbuf *cmp, struct mbuf **dmpp)
     /*
      * Allocate one mbuf to start with.
      */
-    MGETHDR(dmp, MB_DONTWAIT, MT_DATA);
+    MGETHDR(dmp, M_NOWAIT, MT_DATA);
     if (dmp == NULL)
 	return DECOMP_ERROR;
     mret = dmp;
     dmp->m_len = 0;
     dmp->m_next = NULL;
-    MCLGET(dmp, MB_DONTWAIT);
+    MCLGET(dmp, M_NOWAIT);
     dmp->m_data += db->hdrlen;
     wptr = mtod(dmp, u_char *);
     space = M_TRAILINGSPACE(dmp) - PPP_HDRLEN + 1;
@@ -952,7 +952,7 @@ bsd_decompress(void *state, struct mbuf *cmp, struct mbuf **dmpp)
 	 */
 	if ((space -= codelen + extra) < 0) {
 	    dmp->m_len = wptr - mtod(dmp, u_char *);
-	    MGET(m, MB_DONTWAIT, MT_DATA);
+	    MGET(m, M_NOWAIT, MT_DATA);
 	    if (m == NULL) {
 		m_freem(mret);
 		return DECOMP_ERROR;
@@ -960,7 +960,7 @@ bsd_decompress(void *state, struct mbuf *cmp, struct mbuf **dmpp)
 	    m->m_len = 0;
 	    m->m_next = NULL;
 	    dmp->m_next = m;
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	    space = M_TRAILINGSPACE(m) - (codelen + extra);
 	    if (space < 0) {
 		/* now that's what I call *compression*. */
diff --git a/sys/net/gre/if_gre.c b/sys/net/gre/if_gre.c
index fc7db67..c47da15 100644
--- a/sys/net/gre/if_gre.c
+++ b/sys/net/gre/if_gre.c
@@ -312,7 +312,7 @@ gre_output_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 
 			if ((m->m_data - msiz) < m->m_pktdat) {
 				/* need new mbuf */
-				MGETHDR(m0, MB_DONTWAIT, MT_HEADER);
+				MGETHDR(m0, M_NOWAIT, MT_HEADER);
 				if (m0 == NULL) {
 					m_freem(m);
 					error = ENOBUFS;
@@ -353,7 +353,7 @@ gre_output_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 			error = EAFNOSUPPORT;
 			goto end;
 		}
-		M_PREPEND(m, sizeof(struct greip), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct greip), M_NOWAIT);
 	} else {
 		m_freem(m);
 		error = EINVAL;
diff --git a/sys/net/if_ethersubr.c b/sys/net/if_ethersubr.c
index c415dbf..ff9a4ba 100644
--- a/sys/net/if_ethersubr.c
+++ b/sys/net/if_ethersubr.c
@@ -226,7 +226,7 @@ ether_output(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) != (IFF_UP | IFF_RUNNING))
 		gotoerr(ENETDOWN);
 
-	M_PREPEND(m, sizeof(struct ether_header), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(struct ether_header), M_NOWAIT);
 	if (m == NULL)
 		return (ENOBUFS);
 	m->m_pkthdr.csum_lhlen = sizeof(struct ether_header);
@@ -311,7 +311,7 @@ ether_output(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 		if ((m->m_flags & M_BCAST) || (loop_copy > 0)) {
 			struct mbuf *n;
 
-			if ((n = m_copypacket(m, MB_DONTWAIT)) != NULL) {
+			if ((n = m_copypacket(m, M_NOWAIT)) != NULL) {
 				n->m_pkthdr.csum_flags |= csum_flags;
 				if (csum_flags & CSUM_DATA_VALID)
 					n->m_pkthdr.csum_data = 0xffff;
@@ -910,7 +910,7 @@ ether_restore_header(struct mbuf **m0, const struct ether_header *eh,
 	} else {
 		ether_prepend_hdr++;
 
-		M_PREPEND(m, ETHER_HDR_LEN, MB_DONTWAIT);
+		M_PREPEND(m, ETHER_HDR_LEN, M_NOWAIT);
 		if (m != NULL) {
 			bcopy(save_eh, mtod(m, struct ether_header *),
 			      ETHER_HDR_LEN);
@@ -1101,7 +1101,7 @@ post_stats:
 			 * Put back the ethernet header so netgraph has a
 			 * consistent view of inbound packets.
 			 */
-			M_PREPEND(m, ETHER_HDR_LEN, MB_DONTWAIT);
+			M_PREPEND(m, ETHER_HDR_LEN, M_NOWAIT);
 			if (m == NULL) {
 				/*
 				 * M_PREPEND frees the mbuf in case of failure.
diff --git a/sys/net/if_loop.c b/sys/net/if_loop.c
index 62a17bc..623efe9 100644
--- a/sys/net/if_loop.c
+++ b/sys/net/if_loop.c
@@ -223,7 +223,7 @@ rel:
 		 */
 		ifq_classify(&ifp->if_snd, m, af, &pktattr);
 
-		M_PREPEND(m, sizeof(int32_t), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(int32_t), M_NOWAIT);
 		if (m == NULL)
 			return(ENOBUFS);
 		afp = mtod(m, int32_t *);
diff --git a/sys/net/ip6fw/ip6_fw.c b/sys/net/ip6fw/ip6_fw.c
index 9dd63cb..91c9f77 100644
--- a/sys/net/ip6fw/ip6_fw.c
+++ b/sys/net/ip6fw/ip6_fw.c
@@ -1100,11 +1100,11 @@ ip6_fw_ctl(int stage, struct mbuf **mm)
 
 	if (stage == IPV6_FW_GET) {
 		struct ip6_fw_chain *fcp = ip6_fw_chain.lh_first;
-		*mm = m = m_get(MB_WAIT, MT_DATA); /* XXX */
+		*mm = m = m_get(M_WAITOK, MT_DATA); /* XXX */
 		if (!m)
 			return(ENOBUFS);
 		if (sizeof *(fcp->rule) > MLEN) {
-			MCLGET(m, MB_WAIT);
+			MCLGET(m, M_WAITOK);
 			if ((m->m_flags & M_EXT) == 0) {
 				m_free(m);
 				return(ENOBUFS);
@@ -1113,14 +1113,14 @@ ip6_fw_ctl(int stage, struct mbuf **mm)
 		for (; fcp; fcp = fcp->chain.le_next) {
 			bcopy(fcp->rule, m->m_data, sizeof *(fcp->rule));
 			m->m_len = sizeof *(fcp->rule);
-			m->m_next = m_get(MB_WAIT, MT_DATA); /* XXX */
+			m->m_next = m_get(M_WAITOK, MT_DATA); /* XXX */
 			if (!m->m_next) {
 				m_freem(*mm);
 				return(ENOBUFS);
 			}
 			m = m->m_next;
 			if (sizeof *(fcp->rule) > MLEN) {
-				MCLGET(m, MB_WAIT);
+				MCLGET(m, M_WAITOK);
 				if ((m->m_flags & M_EXT) == 0) {
 					m_freem(*mm);
 					return(ENOBUFS);
diff --git a/sys/net/ip_mroute/ip_mroute.c b/sys/net/ip_mroute/ip_mroute.c
index 492cbd0..eff6706 100644
--- a/sys/net/ip_mroute/ip_mroute.c
+++ b/sys/net/ip_mroute/ip_mroute.c
@@ -1253,7 +1253,7 @@ X_ip_mforward(struct ip *ip, struct ifnet *ifp, struct mbuf *m,
 		return ENOBUFS;
 	}
 
-	mb0 = m_copypacket(m, MB_DONTWAIT);
+	mb0 = m_copypacket(m, M_NOWAIT);
 	if (mb0 && (M_HASCL(mb0) || mb0->m_len < hlen))
 	    mb0 = m_pullup(mb0, hlen);
 	if (mb0 == NULL) {
@@ -1624,7 +1624,7 @@ phyint_send(struct ip *ip, struct vif *vifp, struct mbuf *m)
      * the IP header is actually copied, not just referenced,
      * so that ip_output() only scribbles on the copy.
      */
-    mb_copy = m_copypacket(m, MB_DONTWAIT);
+    mb_copy = m_copypacket(m, M_NOWAIT);
     if (mb_copy && (M_HASCL(mb_copy) || mb_copy->m_len < hlen))
 	mb_copy = m_pullup(mb_copy, hlen);
     if (mb_copy == NULL)
@@ -1654,13 +1654,13 @@ encap_send(struct ip *ip, struct vif *vifp, struct mbuf *m)
      * new mbuf so we can modify it.  Try to fill the new
      * mbuf since if we don't the ethernet driver will.
      */
-    MGETHDR(mb_copy, MB_DONTWAIT, MT_HEADER);
+    MGETHDR(mb_copy, M_NOWAIT, MT_HEADER);
     if (mb_copy == NULL)
 	return;
     mb_copy->m_data += max_linkhdr;
     mb_copy->m_len = sizeof(multicast_encap_iphdr);
 
-    if ((mb_copy->m_next = m_copypacket(m, MB_DONTWAIT)) == NULL) {
+    if ((mb_copy->m_next = m_copypacket(m, M_NOWAIT)) == NULL) {
 	m_freem(mb_copy);
 	return;
     }
@@ -2568,7 +2568,7 @@ bw_upcalls_send(void)
      * Allocate a new mbuf, initialize it with the header and
      * the payload for the pending calls.
      */
-    MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+    MGETHDR(m, M_NOWAIT, MT_HEADER);
     if (m == NULL) {
 	log(LOG_WARNING, "bw_upcalls_send: cannot allocate mbuf\n");
 	return;
@@ -2857,7 +2857,7 @@ pim_register_prepare(struct ip *ip, struct mbuf *m)
      * Copy the old packet & pullup its IP header into the
      * new mbuf so we can modify it.
      */
-    mb_copy = m_copypacket(m, MB_DONTWAIT);
+    mb_copy = m_copypacket(m, M_NOWAIT);
     if (mb_copy == NULL)
 	return NULL;
     mb_copy = m_pullup(mb_copy, ip->ip_hl << 2);
@@ -2902,7 +2902,7 @@ pim_register_send_upcall(struct ip *ip, struct vif *vifp,
     /*
      * Add a new mbuf with an upcall header
      */
-    MGETHDR(mb_first, MB_DONTWAIT, MT_HEADER);
+    MGETHDR(mb_first, M_NOWAIT, MT_HEADER);
     if (mb_first == NULL) {
 	m_freem(mb_copy);
 	return ENOBUFS;
@@ -2960,7 +2960,7 @@ pim_register_send_rp(struct ip *ip, struct vif *vifp,
     /*
      * Add a new mbuf with the encapsulating header
      */
-    MGETHDR(mb_first, MB_DONTWAIT, MT_HEADER);
+    MGETHDR(mb_first, M_NOWAIT, MT_HEADER);
     if (mb_first == NULL) {
 	m_freem(mb_copy);
 	return ENOBUFS;
diff --git a/sys/net/ipfw/ip_fw2.c b/sys/net/ipfw/ip_fw2.c
index cef01d0..0afc943 100644
--- a/sys/net/ipfw/ip_fw2.c
+++ b/sys/net/ipfw/ip_fw2.c
@@ -1416,7 +1416,7 @@ send_pkt(struct ipfw_flow_id *id, uint32_t seq, uint32_t ack, int flags)
 	struct tcphdr *tcp;
 	struct route sro;	/* fake route */
 
-	MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m, M_NOWAIT, MT_HEADER);
 	if (m == NULL)
 		return;
 	m->m_pkthdr.rcvif = NULL;
@@ -2321,7 +2321,7 @@ check_body:
 					break;
 
 				mtag = m_tag_get(PACKET_TAG_IPFW_DIVERT,
-						 sizeof(*divinfo), MB_DONTWAIT);
+						 sizeof(*divinfo), M_NOWAIT);
 				if (mtag == NULL) {
 					retval = IP_FW_DENY;
 					goto done;
@@ -2392,7 +2392,7 @@ check_body:
 					struct sockaddr_in *sin;
 
 					mtag = m_tag_get(PACKET_TAG_IPFORWARD,
-					       sizeof(*sin), MB_DONTWAIT);
+					       sizeof(*sin), M_NOWAIT);
 					if (mtag == NULL) {
 						retval = IP_FW_DENY;
 						goto done;
@@ -2458,7 +2458,7 @@ ipfw_dummynet_io(struct mbuf *m, int pipe_nr, int dir, struct ip_fw_args *fwa)
 
 	M_ASSERTPKTHDR(m);
 
-	mtag = m_tag_get(PACKET_TAG_DUMMYNET, sizeof(*pkt), MB_DONTWAIT);
+	mtag = m_tag_get(PACKET_TAG_DUMMYNET, sizeof(*pkt), M_NOWAIT);
 	if (mtag == NULL) {
 		m_freem(m);
 		return;
diff --git a/sys/net/pf/pf.c b/sys/net/pf/pf.c
index cfc8ac6..7f695c8 100644
--- a/sys/net/pf/pf.c
+++ b/sys/net/pf/pf.c
@@ -2143,7 +2143,7 @@ pf_send_tcp(const struct pf_rule *r, sa_family_t af,
 	 * DragonFly doesn't zero the auxillary pkghdr fields, only fw_flags,
 	 * so make sure pf.flags is clear.
 	 */
-	m = m_gethdr(MB_DONTWAIT, MT_HEADER);
+	m = m_gethdr(M_NOWAIT, MT_HEADER);
 	if (m == NULL) {
 		return;
 	}
@@ -6022,7 +6022,7 @@ pf_route(struct mbuf **m, struct pf_rule *r, int dir, struct ifnet *oifp,
 	}
 
 	if (r->rt == PF_DUPTO) {
-		if ((m0 = m_dup(*m, MB_DONTWAIT)) == NULL) {
+		if ((m0 = m_dup(*m, M_NOWAIT)) == NULL) {
 			return;
 		}
 	} else {
@@ -6212,7 +6212,7 @@ pf_route6(struct mbuf **m, struct pf_rule *r, int dir, struct ifnet *oifp,
 	}
 
 	if (r->rt == PF_DUPTO) {
-		if ((m0 = m_dup(*m, MB_DONTWAIT)) == NULL)
+		if ((m0 = m_dup(*m, M_NOWAIT)) == NULL)
 			return;
 	} else {
 		if ((r->rt == PF_REPLYTO) == (r->direction == dir))
diff --git a/sys/net/pf/pf_norm.c b/sys/net/pf/pf_norm.c
index 6900020..d4ab380 100644
--- a/sys/net/pf/pf_norm.c
+++ b/sys/net/pf/pf_norm.c
@@ -616,7 +616,7 @@ pf_fragcache(struct mbuf **m0, struct ip *h, struct pf_fragment **frag, int mff,
 				 * than this mbuf magic.  For my next trick,
 				 * I'll pull a rabbit out of my laptop.
 				 */
-				*m0 = m_dup(m, MB_DONTWAIT);
+				*m0 = m_dup(m, M_NOWAIT);
 				/* From KAME Project : We have missed this! */
 				m_adj(*m0, (h->ip_hl << 2) -
 				    (*m0)->m_pkthdr.len);
diff --git a/sys/net/ppp/if_ppp.c b/sys/net/ppp/if_ppp.c
index c287862..f8d930b 100644
--- a/sys/net/ppp/if_ppp.c
+++ b/sys/net/ppp/if_ppp.c
@@ -771,7 +771,7 @@ pppoutput_serialized(struct ifnet *ifp, struct ifaltq_subque *ifsq,
      * (This assumes M_LEADINGSPACE is always 0 for a cluster mbuf.)
      */
     if (M_LEADINGSPACE(m0) < PPP_HDRLEN) {
-	m0 = m_prepend(m0, PPP_HDRLEN, MB_DONTWAIT);
+	m0 = m_prepend(m0, PPP_HDRLEN, M_NOWAIT);
 	if (m0 == NULL) {
 	    error = ENOBUFS;
 	    goto bad;
@@ -1353,13 +1353,13 @@ ppp_inproc(struct ppp_softc *sc, struct mbuf *m)
 	}
 
 	/* Copy the PPP and IP headers into a new mbuf. */
-	MGETHDR(mp, MB_DONTWAIT, MT_DATA);
+	MGETHDR(mp, M_NOWAIT, MT_DATA);
 	if (mp == NULL)
 	    goto bad;
 	mp->m_len = 0;
 	mp->m_next = NULL;
 	if (hlen + PPP_HDRLEN > MHLEN) {
-	    MCLGET(mp, MB_DONTWAIT);
+	    MCLGET(mp, M_NOWAIT);
 	    if (M_TRAILINGSPACE(mp) < hlen + PPP_HDRLEN) {
 		m_freem(mp);
 		goto bad;	/* lose if big headers and no clusters */
@@ -1415,7 +1415,7 @@ ppp_inproc(struct ppp_softc *sc, struct mbuf *m)
      * whole cluster on it.
      */
     if (ilen <= MHLEN && M_IS_CLUSTER(m)) {
-	MGETHDR(mp, MB_DONTWAIT, MT_DATA);
+	MGETHDR(mp, M_NOWAIT, MT_DATA);
 	if (mp != NULL) {
 	    m_copydata(m, 0, ilen, mtod(mp, caddr_t));
 	    m_freem(m);
diff --git a/sys/net/ppp_layer/ppp_deflate.c b/sys/net/ppp_layer/ppp_deflate.c
index bf5f3b6..43a920f 100644
--- a/sys/net/ppp_layer/ppp_deflate.c
+++ b/sys/net/ppp_layer/ppp_deflate.c
@@ -237,12 +237,12 @@ z_compress(void *arg, struct mbuf **mret, struct mbuf *mp, int orig_len,
     /* Allocate one mbuf initially. */
     if (maxolen > orig_len)
 	maxolen = orig_len;
-    MGET(m, MB_DONTWAIT, MT_DATA);
+    MGET(m, M_NOWAIT, MT_DATA);
     *mret = m;
     if (m != NULL) {
 	m->m_len = 0;
 	if (maxolen + state->hdrlen > MLEN)
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	wspace = M_TRAILINGSPACE(m);
 	if (state->hdrlen + PPP_HDRLEN + 2 < wspace) {
 	    m->m_data += state->hdrlen;
@@ -297,12 +297,12 @@ z_compress(void *arg, struct mbuf **mret, struct mbuf *mp, int orig_len,
 	    if (m != NULL) {
 		m->m_len = wspace;
 		olen += wspace;
-		MGET(m->m_next, MB_DONTWAIT, MT_DATA);
+		MGET(m->m_next, M_NOWAIT, MT_DATA);
 		m = m->m_next;
 		if (m != NULL) {
 		    m->m_len = 0;
 		    if (maxolen - olen > MLEN)
-			MCLGET(m, MB_DONTWAIT);
+			MCLGET(m, M_NOWAIT);
 		    state->strm.next_out = mtod(m, u_char *);
 		    state->strm.avail_out = wspace = M_TRAILINGSPACE(m);
 		}
@@ -483,13 +483,13 @@ z_decompress(void *arg, struct mbuf *mi, struct mbuf **mop)
     ++state->seqno;
 
     /* Allocate an output mbuf. */
-    MGETHDR(mo, MB_DONTWAIT, MT_DATA);
+    MGETHDR(mo, M_NOWAIT, MT_DATA);
     if (mo == NULL)
 	return DECOMP_ERROR;
     mo_head = mo;
     mo->m_len = 0;
     mo->m_next = NULL;
-    MCLGET(mo, MB_DONTWAIT);
+    MCLGET(mo, M_NOWAIT);
     ospace = M_TRAILINGSPACE(mo);
     if (state->hdrlen + PPP_HDRLEN < ospace) {
 	mo->m_data += state->hdrlen;
@@ -558,13 +558,13 @@ z_decompress(void *arg, struct mbuf *mi, struct mbuf **mop)
 	    } else {
 		mo->m_len = ospace;
 		olen += ospace;
-		MGET(mo->m_next, MB_DONTWAIT, MT_DATA);
+		MGET(mo->m_next, M_NOWAIT, MT_DATA);
 		mo = mo->m_next;
 		if (mo == NULL) {
 		    m_freem(mo_head);
 		    return DECOMP_ERROR;
 		}
-		MCLGET(mo, MB_DONTWAIT);
+		MCLGET(mo, M_NOWAIT);
 		state->strm.next_out = mtod(mo, u_char *);
 		state->strm.avail_out = ospace = M_TRAILINGSPACE(mo);
 	    }
diff --git a/sys/net/ppp_layer/ppp_tty.c b/sys/net/ppp_layer/ppp_tty.c
index 00ab1d2..496965b 100644
--- a/sys/net/ppp_layer/ppp_tty.c
+++ b/sys/net/ppp_layer/ppp_tty.c
@@ -73,7 +73,6 @@
  */
 
 /* $FreeBSD: src/sys/net/ppp_tty.c,v 1.43.2.1 2002/02/13 00:43:11 dillon Exp $ */
-/* $DragonFly: src/sys/net/ppp_layer/ppp_tty.c,v 1.25 2008/05/14 11:59:23 sephe Exp $ */
 
 #include "opt_ppp.h"		/* XXX for ppp_defs.h */
 
@@ -409,11 +408,11 @@ pppwrite(struct tty *tp, struct uio *uio, int flag)
     crit_enter();
     for (mp = &m0; uio->uio_resid; mp = &m->m_next) {
 	if (mp == &m0) {
-		MGETHDR(m, MB_WAIT, MT_DATA);
+		MGETHDR(m, M_WAITOK, MT_DATA);
 		m->m_pkthdr.len = uio->uio_resid - PPP_HDRLEN;
 		m->m_pkthdr.rcvif = NULL;
 	} else {
-		MGET(m, MB_WAIT, MT_DATA);
+		MGET(m, M_WAITOK, MT_DATA);
 	}
 	if ((*mp = m) == NULL) {
 	    m_freem(m0);
@@ -423,7 +422,7 @@ pppwrite(struct tty *tp, struct uio *uio, int flag)
 	}
 	m->m_len = 0;
 	if (uio->uio_resid >= MCLBYTES / 2)
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	len = M_TRAILINGSPACE(m);
 	if (len > uio->uio_resid)
 	    len = uio->uio_resid;
@@ -838,11 +837,11 @@ pppgetm(struct ppp_softc *sc)
     mp = &sc->sc_m;
     for (len = sc->sc_mru + PPP_HDRLEN + PPP_FCSLEN; len > 0; ){
 	if ((m = *mp) == NULL) {
-	    MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	    MGETHDR(m, M_NOWAIT, MT_DATA);
 	    if (m == NULL)
 		break;
 	    *mp = m;
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	}
 	len -= M_DATASIZE(m);
 	mp = &m->m_next;
diff --git a/sys/net/raw_cb.c b/sys/net/raw_cb.c
index c181302..63e1ca1 100644
--- a/sys/net/raw_cb.c
+++ b/sys/net/raw_cb.c
@@ -28,7 +28,6 @@
  *
  *	@(#)raw_cb.c	8.1 (Berkeley) 6/10/93
  * $FreeBSD: src/sys/net/raw_cb.c,v 1.16 1999/08/28 00:48:27 peter Exp $
- * $DragonFly: src/sys/net/raw_cb.c,v 1.11 2006/09/05 00:55:46 dillon Exp $
  */
 
 #include <sys/param.h>
@@ -121,7 +120,7 @@ raw_bind(struct socket *so, struct mbuf *nam)
 	if (ifnet == NULL)
 		return (EADDRNOTAVAIL);
 	rp = sotorawcb(so);
-	nam = m_copym(nam, 0, M_COPYALL, MB_TRYWAIT);
+	nam = m_copym(nam, 0, M_COPYALL, M_WAITOK);
 	rp->rcb_laddr = mtod(nam, struct sockaddr *);
 	return (0);
 }
diff --git a/sys/net/raw_usrreq.c b/sys/net/raw_usrreq.c
index fa87199..2c6bdd0 100644
--- a/sys/net/raw_usrreq.c
+++ b/sys/net/raw_usrreq.c
@@ -28,7 +28,6 @@
  *
  *	@(#)raw_usrreq.c	8.1 (Berkeley) 6/10/93
  * $FreeBSD: src/sys/net/raw_usrreq.c,v 1.18 1999/08/28 00:48:28 peter Exp $
- * $DragonFly: src/sys/net/raw_usrreq.c,v 1.14 2007/06/24 20:00:00 dillon Exp $
  */
 
 #include <sys/param.h>
@@ -104,7 +103,7 @@ raw_input(struct mbuf *m0, const struct sockproto *proto,
 		if (last) {
 			struct mbuf *n;
 
-			n = m_copypacket(m, MB_DONTWAIT);
+			n = m_copypacket(m, M_NOWAIT);
 			if (n != NULL) {
 				lwkt_gettoken(&last->so_rcv.ssb_token);
 				if (ssb_appendaddr(&last->so_rcv, src, n,
diff --git a/sys/net/route.c b/sys/net/route.c
index 06bb456..3d1ec31 100644
--- a/sys/net/route.c
+++ b/sys/net/route.c
@@ -1517,7 +1517,7 @@ rtinit(struct ifaddr *ifa, int cmd, int flags)
 		 * (Assuming we have a mask)
 		 */
 		if (netmask != NULL) {
-			m = m_get(MB_DONTWAIT, MT_SONAME);
+			m = m_get(M_NOWAIT, MT_SONAME);
 			if (m == NULL)
 				return (ENOBUFS);
 			mbuftrackid(m, 34);
diff --git a/sys/net/rtsock.c b/sys/net/rtsock.c
index 82bbb65..3a43a24 100644
--- a/sys/net/rtsock.c
+++ b/sys/net/rtsock.c
@@ -916,7 +916,7 @@ rt_msg_mbuf(int type, struct rt_addrinfo *rtinfo)
 	hlen = rt_msghdrsize(type);
 	KASSERT(hlen <= MCLBYTES, ("rt_msg_mbuf: hlen %d doesn't fit", hlen));
 
-	m = m_getl(hlen, MB_DONTWAIT, MT_DATA, M_PKTHDR, NULL);
+	m = m_getl(hlen, M_NOWAIT, MT_DATA, M_PKTHDR, NULL);
 	if (m == NULL)
 		return (NULL);
 	mbuftrackid(m, 32);
@@ -1201,8 +1201,8 @@ rt_ieee80211msg(struct ifnet *ifp, int what, void *data, size_t data_len)
 	 * NB: we assume m is a single mbuf.
 	 */
 	if (data_len > M_TRAILINGSPACE(m)) {
-		/* XXX use m_getb(data_len, MB_DONTWAIT, MT_DATA, 0); */
-		struct mbuf *n = m_get(MB_DONTWAIT, MT_DATA);
+		/* XXX use m_getb(data_len, M_NOWAIT, MT_DATA, 0); */
+		struct mbuf *n = m_get(M_NOWAIT, MT_DATA);
 		if (n == NULL) {
 			m_freem(m);
 			return;
diff --git a/sys/net/sl/if_sl.c b/sys/net/sl/if_sl.c
index f082cad..44b2586 100644
--- a/sys/net/sl/if_sl.c
+++ b/sys/net/sl/if_sl.c
@@ -30,7 +30,6 @@
  *
  *	@(#)if_sl.c	8.6 (Berkeley) 2/1/94
  * $FreeBSD: src/sys/net/if_sl.c,v 1.84.2.2 2002/02/13 00:43:10 dillon Exp $
- * $DragonFly: src/sys/net/sl/if_sl.c,v 1.32 2008/05/14 11:59:23 sephe Exp $
  */
 
 /*
@@ -746,7 +745,7 @@ sl_btom(struct sl_softc *sc, int len)
 	if (len >= MCLBYTES)
 		return (NULL);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return (NULL);
 
@@ -758,7 +757,7 @@ sl_btom(struct sl_softc *sc, int len)
 	 * guarantees that packet will fit in a cluster.
 	 */
 	if (len >= MHLEN) {
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if ((m->m_flags & M_EXT) == 0) {
 			/*
 			 * we couldn't get a cluster - if memory's this
diff --git a/sys/net/sppp/if_spppsubr.c b/sys/net/sppp/if_spppsubr.c
index b412bc8..9819085 100644
--- a/sys/net/sppp/if_spppsubr.c
+++ b/sys/net/sppp/if_spppsubr.c
@@ -558,7 +558,7 @@ drop2:
 				 * enough leading space in the existing mbuf).
 				 */
 				m_adj(m, vjlen);
-				M_PREPEND(m, hlen, MB_DONTWAIT);
+				M_PREPEND(m, hlen, M_NOWAIT);
 				if (m == NULL)
 					goto drop2;
 				bcopy(iphdr, mtod(m, u_char *), hlen);
@@ -796,7 +796,7 @@ sppp_output_serialized(struct ifnet *ifp, struct ifaltq_subque *ifsq,
 	/*
 	 * Prepend general data packet PPP header. For now, IP only.
 	 */
-	M_PREPEND (m, PPP_HEADER_LEN, MB_DONTWAIT);
+	M_PREPEND (m, PPP_HEADER_LEN, M_NOWAIT);
 	if (! m) {
 		if (debug)
 			log(LOG_DEBUG, SPP_FMT "no memory for transmit header\n",
@@ -1282,7 +1282,7 @@ sppp_cisco_send(struct sppp *sp, int type, long par1, long par2)
 
 	getmicrouptime(&tv);
 
-	MGETHDR (m, MB_DONTWAIT, MT_DATA);
+	MGETHDR (m, M_NOWAIT, MT_DATA);
 	if (! m)
 		return;
 	m->m_pkthdr.len = m->m_len = PPP_HEADER_LEN + CISCO_PACKET_LEN;
@@ -1338,7 +1338,7 @@ sppp_cp_send(struct sppp *sp, u_short proto, u_char type,
 
 	if (len > MHLEN - PPP_HEADER_LEN - LCP_HEADER_LEN)
 		len = MHLEN - PPP_HEADER_LEN - LCP_HEADER_LEN;
-	MGETHDR (m, MB_DONTWAIT, MT_DATA);
+	MGETHDR (m, M_NOWAIT, MT_DATA);
 	if (! m)
 		return;
 	m->m_pkthdr.len = m->m_len = PPP_HEADER_LEN + LCP_HEADER_LEN + len;
@@ -4633,7 +4633,7 @@ sppp_auth_send(const struct cp *cp, struct sppp *sp,
 	struct ifaltq_subque *ifsq;
 	__va_list ap;
 
-	MGETHDR (m, MB_DONTWAIT, MT_DATA);
+	MGETHDR (m, M_NOWAIT, MT_DATA);
 	if (! m)
 		return;
 	m->m_pkthdr.rcvif = 0;
